<?php 

namespace MyMenu\Util;

class RequestHeader {
    static function getAllHeaders(){
        $allHeaders = getallheaders();
        if(!empty($allHeaders)) {
            $allHeaders = array_change_key_case($allHeaders);
            return $allHeaders;
        } else {
            return [];
        }
    }
    static function getKey(String $key, $defaultValue = ""){
        $loweredKey = strtolower($key);
        $allHeaders = RequestHeader::getAllHeaders();
        $responseValue = isset($allHeaders[$loweredKey]) ? $allHeaders[$loweredKey] : $defaultValue;
        return $responseValue;
    }
}