function mymenuHeaderController($scope, templateManager, ScreenService) {

    var self = this;

    this.getTitle = function () {
        var container = templateManager.container;
        return container.label;
    };

    this.goBack = function () {
        let acWidget = templateManager.container.getActiveWidget();
        if (acWidget.name === 'qrCodeWidget' && acWidget.isScaning === true) {
            acWidget.isScaning = false;
            document.body.style.background = '';
            if ('QRScanner' in window) {
                QRScanner.getStatus((status) => {
                    if (status.scanning && status.showing) {
                        QRScanner.destroy();
                    }
                });
            }
        } else {
            window.history.back();
        }
    };

    this.menuActionVisibility = function () {
        var container = templateManager.container;
        return container && container.showMenu;
    };

    this.getActionsByType = function (type) {
        var container = templateManager.container;
        var widget = container.getActiveWidget();
        var actions = widget.actions || [];
        return actions.filter(function (action) {
            return action.showAsAction == type;
        });
    };

    this.toggleHeaderDropdown = function () {
        $scope.headerDropdownOpened = !$scope.headerDropdownOpened;
    };
}